Bug 1957 - lsof not in kernel2.2 updates
lsof not in kernel2.2 updates
Product: Red Hat Linux
Classification: Retired
Component: lsof (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 1999-04-02 17:08 EST by chbm
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-04-05 11:29:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description chbm 1999-04-02 17:08:00 EST
There is no lsof rpm on the kernel2.2 dir in 5.9 updates.
This bug s similar to the 2.0.36 already reported one but
since 2.2 has a separate dir I figured I should report it
Comment 1 chbm 1999-04-02 17:13:59 EST
I forgot to say the fix is obviously get the srpm and rpm --rebuild.
(ready for closing i think :))
Comment 2 chbm 1999-04-02 17:39:59 EST
rpm --rebuild lsof-4.40-1.src.rpm
doesn't work (at least for 2.2.5-ac3)
I think the problem is in the 2.0.36 patch included on the srpm.
Aparently something has changed on the header files
The tarball built manually will compile till the link where it fails
dproc.o(.text+0x82d): undefined reference to `ckkv'
Comment 3 chbm 1999-04-02 17:58:59 EST
The link problem was with HASKERNIDCK enabled. Disabling it solves the
problem. LINUX_BASE=/dev/kmem on the spec file also causes problems.
So fix:
Build a 2.2 rpm without 2.0.36 patch and no HASKERNIDCK (this is
actually a bug i think and should be solved)
(ready for closing)

Bellow is a working spec file for kernel2.2:

Summary: Lists files open by processes
Name: lsof
Version: 4.40
Release: 1
Copyright: Free
Group: Utilities/File
Prefix: /usr
Buildroot: /var/tmp/%{name}-root

Lsof's name stands for LiSt Open Files, and it does just that. It
information about files that are open by the processes running on a

%setup -q -c -n lsof_%{version}

# add -a 1 above
#tar xzf %SOURCE1

# Sort out whether this is the wrapped or linux specific tar ball.
[ -f lsof_%{version}.tar ] && tar xf lsof_%{version}.tar
[ -d lsof_%{version}.linux -a ! -d lsof_%{version} ] && \
        mv lsof_%{version}.linux lsof_%{version}
[ -d lsof_%{version} ] && cd lsof_%{version}

[ -d lsof_%{version} ] && cd lsof_%{version}

#LINUX_KERNEL=`pwd`/../linux LSOF_INCLUDE=`pwd`/../linux/include \
#LSOF_VERS=21129 LSOF_VSTR=2.1.129 LINUX_BASE=/proc \
#LSOF_VERS=20036 LSOF_VSTR=2.0.36 LINUX_BASE=/dev/kmem \
./Configure -n linux


# Sort out whether this is the wrapped or linux specific tar ball.
[ -d lsof_%{version} ] && cd lsof_%{version}
install -d $RPM_BUILD_ROOT/usr/{sbin,man/man8}
install -s lsof $RPM_BUILD_ROOT/usr/sbin
install lsof.8 $RPM_BUILD_ROOT/usr/man/man8/


%doc lsof_%{version}/00*
%attr(2755,root,kmem) /usr/sbin/lsof

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- buffer overflow patch.
- upgrade to 4.40.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- update to "official" 4.39 release.

* Wed Dec 16 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.39B (linux) with internal kernel src.

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.39A (linux)

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.37

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.36

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 4.35.
- rewrap for RH 5.2.

* Mon Jun 29 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- New version
- Spec rewriten to use %{name} and %{version} macros
- Removed old log enteries

* Tue Apr 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Built under RH5
- %install was changed
Comment 4 Jeff Johnson 1999-04-05 11:29:59 EDT
Try lsof-4.40-5 from starbuck.

Note You need to log in before you can comment on or make changes to this bug.